#!BuildIgnore:          post-build-checks
# norootforbuild

%define _prefix	/usr

Name:			pulseaudio
Summary:		A Networked Sound Server
Version:		0.9.10
Release:		21.2
License:		GPL, LGPL
Group:			System/Sound Daemons
Source:			%{name}-%{version}.tar.gz
Source1:		default.pa
URL:			http://pulseaudio.org
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	alsa-lib-devel
BuildRequires:	avahi-devel
BuildRequires:	doxygen
BuildRequires:	flac-devel
%if 0%{?suse_version}
BuildRequires:	gconf2-devel
%else
BuildRequires:	GConf2-devel libtool-ltdl-devel libSM-devel
%endif
BuildRequires:	glib2-devel
BuildRequires:	hal-devel
BuildRequires:	libatomic_ops-devel
BuildRequires:	libjack-devel
BuildRequires:	liboil-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
#BuildRequires:	PolicyKit-devel
BuildRequires:	xorg-x11-proto-devel xorg-x11-xtrans-devel

%description
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package libs
Summary:	Virtual package for backward compatibility
Group:		System/Libraries
Requires:	libpulse0
Requires:	libpulsecore5
Requires:	libpulse-browse0
Requires:	libpulse-simple0
Requires:	libpulse-mainloop-glib0

%description libs
Virtual package for backward compatibility.

%package -n libpulse0
Summary:	Client Interface to PulseAudio
Group:		System/Libraries

%description -n libpulse0
Client Interface to PulseAudio.

%package -n libpulsecore5
Summary:	System libraries for pulseaudio
Group:		System/Libraries
Provides:	libpulsecore4 = 0.9.8
Obsoletes:	libpulsecore4 <= 0.9.8

%description -n libpulsecore5
This package contains the core libraries for clients of pulseaudio
sound server.

%package -n libpulse-browse0
Summary:	PulseAudio Network Browsing API
Group:		System/Libraries

%description -n libpulse-browse0
PulseAudio Network Browsing API.

%package -n libpulse-simple0
Summary:	Simplified Synchronous Client Interface to PulseAudio
Group:		System/Libraries

%description -n libpulse-simple0
Simplified Synchronous Client Interface to PulseAudio.

%package -n libpulse-mainloop-glib0
Summary:	GLIB 2.0 Main Loop Wrapper for PulseAudio
Group:		System/Libraries

%description -n libpulse-mainloop-glib0
GLIB 2.0 Main Loop Wrapper for PulseAudio.

%package -n libpulse-devel
Summary:	Development package for the pulseaudio library
Group:		Development/Libraries/C and C++
Requires:	alsa-lib-devel
Requires:	avahi-devel
Requires:	doxygen
Requires:	flac-devel
%if 0%{?suse_version}
Requires:	gconf2-devel
%else
Requires:	GConf2-devel
%endif
Requires:	glib2-devel
Requires:	hal-devel
Requires:	libatomic_ops-devel
Requires:	libjack-devel
Requires:	liboil-devel
Requires:	libsamplerate-devel
Requires:	libsndfile-devel
Requires:	libpulse0 = %{version}
Requires:	libpulse-browse0 = %{version}
Requires:	libpulsecore5 = %{version}
Requires:	libpulse-simple0 = %{version}
Requires:	libpulse-mainloop-glib0 = %{version}
Provides:	pulseaudio-devel = 0.9.6
Obsoletes:	pulseaudio-devel <= 0.9.6

%description -n libpulse-devel
This package contains the files needed to compile programs that use the
pulseaudio library.

%package -n libpulse-devel-doc
Summary:	Documentation for the libpulse-devel package
Group:		Documentation/HTML

%description -n libpulse-devel-doc
Documention for the libpulse-devel package.

%debug_package

%prep
%setup -q -n %{name}-%{version}
%__sed -i -e 's|int pa_drop_caps(void)|void pa_drop_caps(void)|g' \
	src/daemon/caps.c

%__cp /usr/share/gettext/config.rpath .
%if 0%{?suse_version}
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -fi
%endif

%build
%configure \
	--disable-ltdl-install \
	--disable-rpath \
	--with-module-dir=%{_libdir}/pulse/modules \
	--with-system-user=pulse \
	--with-system-group=pulse \
	--with-realtime-group=realtime \
	--with-access-group=pulse
#	--enable-polkit

%__make 
#%{?jobs:-j%{jobs}}
%__make doxygen

%install
%__make DESTDIR=%{buildroot} install
%__chmod 755 %{buildroot}%{_bindir}/*

%__install -dm 755 %{buildroot}%{_sysconfdir}/pulse
%__cp %{SOURCE1} \
	%{buildroot}%{_sysconfdir}/pulse

%__install -dm 755 %{buildroot}/var/run/pulse

# remove *.la files
%__rm -f %{buildroot}%{_libdir}/*.la
%__rm -f %{buildroot}%{_libdir}/pulse/modules/*.la

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -n libpulse0 -p /sbin/ldconfig
%postun -n libpulse0 -p /sbin/ldconfig

%post -n libpulsecore5 -p /sbin/ldconfig
%postun -n libpulsecore5 -p /sbin/ldconfig

%post -n libpulse-browse0 -p /sbin/ldconfig
%postun -n libpulse-browse0 -p /sbin/ldconfig

%post -n libpulse-simple0 -p /sbin/ldconfig
%postun -n libpulse-simple0 -p /sbin/ldconfig

%post -n libpulse-mainloop-glib0 -p /sbin/ldconfig
%postun -n libpulse-mainloop-glib0 -p /sbin/ldconfig

%pre
# Add the "pulse" user and group
%{_sbindir}/groupadd \
	--system \
	pulse 2> /dev/null || :
%{_sbindir}/useradd \
	-g pulse \
	--system \
	-c "pulseaudio system admin" \
	-s /bin/sh \
	-d %{_localstatedir}/lib/pulse \
	pulse 2> /dev/null || :

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/userdel  pulse >> /dev/null 2>&1 || :
    %{_sbindir}/groupdel pulse >> /dev/null 2>&1 || :
fi

%files
%defattr(-, root, root)
%doc GPL LGPL LICENSE README
%dir %{_sysconfdir}/pulse
%config %{_sysconfdir}/pulse/*
%{_sysconfdir}/xdg/autostart/pulseaudio-module-xsmp.desktop
%{_bindir}/esdcompat
%{_bindir}/pabrowse
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/padsp
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/pasuspender
%{_bindir}/pax11publish
%{_bindir}/pulseaudio
%dir %{_libdir}/pulse
%if 0%{?suse_version}
%{_libdir}/pulse/gconf-helper
%else
%{_prefix}/libexec/pulse/gconf-helper
%endif
%dir %{_libdir}/pulse/modules
%{_libdir}/pulse/modules/*.so
%{_libdir}/libpulsedsp.so
%{_mandir}/man1/esdcompat.1.gz
%{_mandir}/man1/pabrowse.1.gz
%{_mandir}/man1/pacat.1.gz
%{_mandir}/man1/pacmd.1.gz
%{_mandir}/man1/pactl.1.gz
%{_mandir}/man1/padsp.1.gz
%{_mandir}/man1/paplay.1.gz
%{_mandir}/man1/pasuspender.1.gz
%{_mandir}/man1/pax11publish.1.gz
%{_mandir}/man1/pulseaudio.1.gz
%{_mandir}/man5/default.pa.5.gz
%{_mandir}/man5/pulse-client.conf.5.gz
%{_mandir}/man5/pulse-daemon.conf.5.gz

%attr(0755,pulse,pulse) %dir /var/run/pulse

%files -n libpulse0
%defattr(-, root, root)
%{_libdir}/libpulse.so.*

%files -n libpulsecore5
%defattr(-, root, root)
%{_libdir}/libpulsecore.so.*

%files -n libpulse-browse0
%defattr(-, root, root)
%{_libdir}/libpulse-browse.so.*

%files -n libpulse-mainloop-glib0
%defattr(-, root, root)
%{_libdir}/libpulse-mainloop-glib.so.*

%files -n libpulse-simple0
%defattr(-, root, root)
%{_libdir}/libpulse-simple.so.*

%files -n libpulse-devel
%defattr(-, root, root)
%dir %{_includedir}/pulse
%{_includedir}/pulse/*.h
%{_libdir}/libpulse.a
%{_libdir}/libpulse.so
%{_libdir}/libpulsecore.a
%{_libdir}/libpulsecore.so
%{_libdir}/libpulse-browse.a
%{_libdir}/libpulse-browse.so
%{_libdir}/libpulse-mainloop-glib.a
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.a
%{_libdir}/libpulse-simple.so
%{_libdir}/pkgconfig/libpulse.pc
%{_libdir}/pkgconfig/libpulse-browse.pc
%{_libdir}/pkgconfig/libpulse-mainloop-glib.pc
%{_libdir}/pkgconfig/libpulse-simple.pc

%files -n libpulse-devel-doc
%defattr(-, root, root)
%doc doxygen/html

%files libs
%defattr(-, root, root)
%doc README

%changelog
* Sat Dec 29 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
